Show a connector
A connector is only accessible to its owner or to an admin
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"message": "successful operation",
"resource": "connector",
"data": {
"id": "019e16f4-dcbc-7069-bd3a-cbb9a8ea7c92",
"type": "data-service",
"name": "mayert.com",
"description": null,
"readme": null,
"flow": "default",
"main-version-number": null,
"owner": "019e16f4-dcab-7e0d-a8a4-8e305b4abbe3",
"integrator": "019e16f4-dcab-7e0d-a8a4-8e305b4abbe3",
"versions": [
{
"name": "mayert.com",
"description": null,
"readme": null,
"version": "1.0.0",
"logo": null,
"created-at": "2026-05-11T14:13:26+02:00",
"updated-at": "2026-05-11T14:13:26+02:00",
"deleted-at": null,
"state": "synchronized-to-prod",
"config": {
"update-progress": [],
"secret-registrations": [],
"authentication-registrations": [],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": null,
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [],
"migration": null,
"execution": {
"execution-mode": "as-env-variables",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": null,
"container-api": {
"image": null,
"version-constraint": "^9.9.9"
}
},
"export": null,
"data-service": {
"column-prefix": null,
"service-type": null,
"stages": [],
"max-usage": null,
"service-category": null,
"datasource": null
},
"datasource": null,
"buckets": [],
"feature-flags": [],
"container-api-config": null
},
"platform_dev_reference": {
"account": null,
"project": null,
"executable": null,
"platform-connector": null,
"site": null,
"site-processing-cluster": null,
"assigned-to-site": null,
"assigned-to-channel": null,
"assigned-to-channel-site": null,
"assigned-to-channel-site-destination": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "7.43.57"
}
},
"platform_prod_reference": {
"executable": null,
"platform-connector": 4,
"target-accounts": [],
"target-projects": [],
"target-sites": [],
"enabled-for-accounts": [],
"enabled-for-projects": [],
"enabled-for-sites": [],
"assigned-to-sites": [],
"released": true,
"version": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "7.43.57"
}
},
"prod_config": {
"update-progress": [],
"secret-registrations": [],
"authentication-registrations": [],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": null,
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [],
"migration": null,
"execution": {
"execution-mode": "as-env-variables",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": null,
"container-api": {
"image": null,
"version-constraint": "^9.9.9"
}
},
"export": null,
"data-service": {
"column-prefix": null,
"service-type": null,
"stages": [],
"max-usage": null,
"service-category": null,
"datasource": null
},
"datasource": null,
"buckets": [],
"feature-flags": [],
"container-api-config": null
},
"dev_config": null
}
],
"main": null
}
}{
"message": "Access denied for user."
}{
"message": "Connector not found."
}How is this guide?